---
layout: course

title: Computational Natural Language Semantics
instructors:
    - mkohlhase
    
organization: Jacobs University
semesters:
    - Fall06
    - Fall08
    - Fall10
    - Fall12
    - Spring14
    - Spring15
---

This course introduces logic-based methods for computing and representing for the semantics of natural language. We use Montague's "method of fragments" to create a series of language models of increasing coverage (of English).

A language model is a triple of

* a grammar *G* that defines a language fragment that can be translated,
* a logical system *L* that acts as the meaning representation, and 
* a translation from syntax trees induced by *G* to formulae in *L*.

The course resources (course notes, literature, assignments) can be found [here](http://kwarc.info/teaching/ComSem).

Having heard the course ["Computational Logic](http://kwarc.info/teaching/CompLog)" is very helpful, but not a prerequisite.
 
